@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "montserrat", "system-ui";
  background-color: rgb(255, 255, 255);
}

/* Navbar start */
.logo {
  width: 50px;
  height: auto;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.8rem 1rem;
  background-color: white;
  font-weight: 500;
}
.nav-links {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 1.5rem;
}
.nav-links a {
  color: black;
  text-decoration: none;
  font-size: 1rem;
}
.nav-links a:hover {
  opacity: 0.7;
}
hr {
  border: none;
  height: 1px;
  background-color: #000000;
}
/* Navbar end */
/* second navbar */
nav {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1rem;
  font-weight: bold;
}
.food-nav-links {
  list-style: none;
  display: flex;
  gap: 5rem;
  justify-content: space-around;
  align-items: center;
}
.food-nav-links a {
  color: black;
  text-decoration: none;
  font-size: 1rem;
}
.food-nav-links a:hover {
  opacity: 0.7;
}
/* second navbar end */
/* card section start */
.card-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  max-width: 1200px;
  margin: 2rem auto;
  gap: 1.5rem;
}
.card {
  background-color: white;
  text-align: center;
  position: relative;
  box-shadow: #000000 0px 0px 5px;
  border-radius: 10px;
  overflow: hidden;
}
.card img {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
}
.card p {
  font-size: 15px;
  font-weight: bold;
  position: absolute;
  top: 90%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  background: rgba(0, 0, 0, 0.6);

  padding: 2rem;
  width: 100%;
}
/* card section end */
/* footer start */
footer {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  font-size: 20px;
  background-color: #000000;
  color: white;
  text-align: center;
  padding: 1.75rem;
  list-style: none;
  flex-direction: column;
  line-height: 5rem;
}
.footer-nav {
  display: flex;
  gap: 5rem;
}
.footer-nav ul {
  list-style: none;
  display: flex;
  gap: 1rem;
  align-items: center;
}
.footer a {
  color: white;
  text-decoration: none;
  display: flex;
  gap: 1.5rem;
}
.footer a:hover {
  opacity: 0.7;
}
.social-icons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2.5rem;
  margin: 0.75;
  font-size: 1.5rem;
  color: white;
}
/* footer  end */
@media (max-width: 768px) {
  .card-container {
    grid-template-columns: repeat(2, 1fr);
    margin: 2rem auto;
    padding: 1.5rem;
    gap: 1rem;
    overflow: hidden;
    width: 100%;
  }
  .food-nav-links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.3rem;
    width: 100%;
  }

  .food-nav-links a {
    padding: 0.2rem;
  }
}
@media (max-width: 480px) {
  .card-container {
    grid-template-columns: 1fr;
    margin: 2rem auto;
    padding: 1.5rem;
    gap: 1rem;
    overflow: hidden;
    width: 100%;
  }

  .food-nav-links {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.3rem;
    width: 100%;
  }

  .food-nav-links a {
    font-size: 0.75rem;
    padding: 0.2rem;
  }
  footer {
    font-size: 13px;
  }
}
